Package owl.ltl.visitors

## Class Collector

- java.lang.Object
- - owl.ltl.visitors.Collector

-     public final class Collector
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> Set<T>` | `collect​(Function<Formula,T> function, Iterable<? extends Formula> formulas)` |
    `static <T> Set<T>` | `collect​(Function<Formula,T> function, Formula formula)` |
    `static <T> Set<T>` | `collect​(Function<Formula,T> function, Formula... formulas)` |
    `static Set<Formula>` | `collect​(Predicate<Formula> predicate, Iterable<? extends Formula> formulas)` |
    `static Set<Formula>` | `collect​(Predicate<Formula> predicate, Formula... formulas)` |
    `static BitSet` | `collectAtoms​(Iterable<? extends Formula> formulas)` |
    `static BitSet` | `collectAtoms​(Iterable<? extends Formula> formulas, boolean negated)` |
    `static BitSet` | `collectAtoms​(Formula formula)` |
    `static BitSet` | `collectAtoms​(Formula formula, boolean negated)` |
    `static Set<FOperator>` | `collectFOperators​(Formula formula)` |
    `static Set<GOperator>` | `collectGOperators​(Formula formula)` |
    `static Set<FOperator>` | `collectTransformedFOperators​(Iterable<? extends Formula> formulas)` |
    `static Set<FOperator>` | `collectTransformedFOperators​(Formula formula)` |
    `static Set<GOperator>` | `collectTransformedGOperators​(Iterable<? extends Formula> formulas)` |
    `static Set<GOperator>` | `collectTransformedGOperators​(Formula formula)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### collect

          public static <T> Set<T> collect​(Function<Formula,T> function,
                                           Formula formula)

    - #### collect

          public static <T> Set<T> collect​(Function<Formula,T> function,
                                           Iterable<? extends Formula> formulas)

    - #### collect

          public static <T> Set<T> collect​(Function<Formula,T> function,
                                           Formula... formulas)

    - #### collect

          public static Set<Formula> collect​(Predicate<Formula> predicate,
                                             Formula... formulas)

    - #### collect

          public static Set<Formula> collect​(Predicate<Formula> predicate,
                                             Iterable<? extends Formula> formulas)

    - #### collectAtoms

          public static BitSet collectAtoms​(Formula formula)

    - #### collectAtoms

          public static BitSet collectAtoms​(Iterable<? extends Formula> formulas)

    - #### collectAtoms

          public static BitSet collectAtoms​(Formula formula,
                                            boolean negated)

    - #### collectAtoms

          public static BitSet collectAtoms​(Iterable<? extends Formula> formulas,
                                            boolean negated)

    - #### collectFOperators

          public static Set<FOperator> collectFOperators​(Formula formula)

    - #### collectGOperators

          public static Set<GOperator> collectGOperators​(Formula formula)

    - #### collectTransformedFOperators

          public static Set<FOperator> collectTransformedFOperators​(Formula formula)

    - #### collectTransformedFOperators

          public static Set<FOperator> collectTransformedFOperators​(Iterable<? extends Formula> formulas)

    - #### collectTransformedGOperators

          public static Set<GOperator> collectTransformedGOperators​(Formula formula)

    - #### collectTransformedGOperators

          public static Set<GOperator> collectTransformedGOperators​(Iterable<? extends Formula> formulas)